Stream next chunk (NDJSON or CSV)
GET
/v1/ns/{nsid}/cdr-downloads/{id}/next
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cdr-downloads/example/next';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cdr-downloads/example/next \ --header 'Authorization: Bearer <token>'Streams ~100 MiB of data. Pass ?cursor= to acknowledge the prior chunk.
Completion and next cursor are returned as HTTP trailers.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
id
required
string
Query Parameters
Section titled “Query Parameters”cursor
string
Acked cursor from previous chunk
max_bytes
integer format: int64
Responses
Section titled “Responses”Chunk stream
string
Examplegenerated
examplestring
default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}